VkBufferImageCopy Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkBufferImageCopy:
[legend]

## Data Fields

VkDeviceSize | bufferOffset
uint32_t | bufferRowLength
uint32_t | bufferImageHeight
VkImageSubresourceLayers | imageSubresource
VkOffset3D | imageOffset
VkExtent3D | imageExtent

## Detailed Description

Definition at line 2366 of file vulkan.h.

## Field Documentation

## bufferImageHeight

uint32_t VkBufferImageCopy::bufferImageHeight

Definition at line 2369 of file vulkan.h.

## bufferOffset

VkDeviceSize VkBufferImageCopy::bufferOffset

Definition at line 2367 of file vulkan.h.

## bufferRowLength

uint32_t VkBufferImageCopy::bufferRowLength

Definition at line 2368 of file vulkan.h.

## imageExtent

VkExtent3D VkBufferImageCopy::imageExtent

Definition at line 2372 of file vulkan.h.

## imageOffset

VkOffset3D VkBufferImageCopy::imageOffset

Definition at line 2371 of file vulkan.h.

## imageSubresource

VkImageSubresourceLayers VkBufferImageCopy::imageSubresource

Definition at line 2370 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h